import {
  generateAuthorization
} from '@/utils/util'
const useImportExcelStore = defineStore(
  'importExcel', {
    state: () => ({
      requestHeaders: {},
    }),
    actions: {
      updateRequestHeaders() {
        const data = generateAuthorization()
        this.requestHeaders = {
          Authorization: data.encrypted,
          randomNumber: data.randomNumber,
        };
      },
    }
  })
export default useImportExcelStore